Class UmlBaseClassMember

This class manages 'true' class's items : attributes, relation,
operation and sub-classes

Declaration :

- C++ : class UmlBaseClassMember : public UmlClassItem
- Java : abstract class UmlBaseClassMember extends UmlClassItem

Directly inherited by : UmlClassMember

Artifact : UmlBaseClassMember

Operation isClassMember

Indicate if the member is a 'class member' (static)
Always false in case of a class

Declaration :

- Uml : + isClassMember() : bool
- C++ : public: bool isClassMember()
- Java : public boolean isClassMember()

Operation set_isClassMember

Set if the member is a 'class member' (static), not significant for a class
On error return FALSE in C++, produce a RuntimeException in Java,
does not check that the class is (already) a typedef

Declaration :

- Uml : + set_isClassMember(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isClassMember(bool y)
- Java : public void set_isClassMember(boolean y) throws RuntimeException

Operation isVolatile

Indicate if the member is 'volatile'
Always false in case of a class

Declaration :

- Uml : + isVolatile() : bool
- C++ : public: bool isVolatile()
- Java : public boolean isVolatile()

Operation set_isVolatile

Set if the member is 'volatile', not significant for a class
On error return FALSE in C++, produce a RuntimeException in Java,
does not check that the class is (already) a typedef

Declaration :

- Uml : + set_isVolatile(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isVolatile(bool y)
- Java : public void set_isVolatile(boolean y) throws RuntimeException

Operation visibility

The member's visibility

Declaration :

- Uml : + visibility() : aVisibility
- C++ : public: aVisibility visibility()
- Java : public aVisibility visibility()

Operation set_Visibility

Set the member visibility, DefaultVisibility is not legal
On error return FALSE in C++, produce a RuntimeException in Java,
does not check that the class is (already) a typedef

Declaration :

- Uml : + set_Visibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: bool set_Visibility(aVisibility v)
- Java : public void set_Visibility(aVisibility v) throws RuntimeException

Operation cppVisibility

Special case for C++, thank to the 'friend class X' it may be
usefull to have a C++ visibility != other visibility
In case the C++ visibility must follow the other, return
DefaultVisibility

Declaration :

- Uml : + cppVisibility() : aVisibility
- C++ : public: aVisibility cppVisibility()
- Java : public aVisibility cppVisibility()

Operation set_CppVisibility

Set the visibility for C++, DefaultVisibility is legal
On error return FALSE in C++, produce a RuntimeException in Java,
does not check that the class is (already) a typedef

Declaration :

- Uml : + set_CppVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppVisibility(aVisibility v)
- Java : public void set_CppVisibility(aVisibility v) throws RuntimeException

Operation javaAnnotations

returns the Java annotations

Declaration :

- Uml : + javaAnnotations() : string
- C++ : public: QCString javaAnnotations()
- Java : public String javaAnnotations()

Operation set_JavaAnnotations

set the Java annotations
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaAnnotations(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaAnnotations(const char * v)
- Java : public void set_JavaAnnotations(String v) throws RuntimeException

Operation constraint

return the constraint

Declaration :

- Uml : + constraint() : string
- C++ : public: const QCString & constraint()
- Java : public String constraint()

Operation set_Constraint

set the constraint
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Constraint(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Constraint(const char * v)
- Java : public void set_Constraint(String v) throws RuntimeException

Attribut _class_member

Declaration :

- Uml : - _class_member : bool
- C++ : private: bool _class_member
- Java : private boolean _class_member

Attribut _volatile

Declaration :

- Uml : - _volatile : bool
- C++ : private: bool _volatile
- Java : private boolean _volatile

Relation _visibility (<directional composition>)

Declaration :

- Uml : - _visibility : aVisibility
- C++ : private: aVisibility _visibility : 8
- Java : private aVisibility _visibility

Relation _cpp_visibility (<directional composition>)

Declaration :

- Uml : - _cpp_visibility : aVisibility
- C++ : private: aVisibility _cpp_visibility : 8
- Java : private aVisibility _cpp_visibility

Attribut _java_annotation

Declaration :

- Uml : - _java_annotation : string
- C++ : private: QCString _java_annotation
- Java : private String _java_annotation

Attribut _constraint

Declaration :

- Uml : - _constraint : string
- C++ : private: QCString _constraint
- Java : private String _constraint

Operation UmlBaseClassMember

Declaration :

- Uml : # UmlBaseClassMember(in id : item_id, in n : string) :
- C++ : protected: UmlBaseClassMember(void * id, const QCString & n) : UmlClassItem(id, n)
- Java : protected UmlBaseClassMember(long id, String n)

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

internal, do NOT use it

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseClass;
        friend class UmlBaseRelation;
        friend class UmlBaseAttribute;
        friend class UmlBaseOperation;

All public operations : apply , children , childrenVisible , constraint , cppDecl , cppVisibility , defined_ , deleteIt , description , getIdentifier , identifier_ , idlDecl , isClassMember , isMarked , isToolRunning , isVolatile , isWritable , javaAnnotations , javaDecl , kind , markedItems , moveAfter , name , parent , phpDecl , properties , propertyValue , referencedBy , set_childrenVisible , set_Constraint , set_CppDecl , set_CppVisibility , set_Description , set_IdlDecl , set_isClassMember , set_isMarked , set_isVolatile , set_JavaAnnotations , set_JavaDecl , set_Name , set_PhpDecl , set_PropertyValue , set_Stereotype , set_Visibility , stereotype , supportFile , unload , unload , visibility